using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine;
using UnityEngine.SceneManagement;
using System.Linq;
using TMPro;
using UnityEngine.UI;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
CategoryBuilder.Create(" Tactical Style", "", ModAPI.LoadSprite("category icon.png"));       




                        

 ModAPI.Register(
		    new Modification()
			{
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "[TS] Sig Sauer MCX VIRTUS",
                    NameToOrderByOverride = "9A",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/mcxicon.png"),
                    AfterSpawn = (Instance) =>
                    {
		       ModAPI.KeepExtraObjects();

		       var MCXSlide = Instance.transform.Find("Slide");
                       MCXSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("slides/mcxslide.png", 16f);
                       MCXSlide.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
		       MCXSlide.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";

                        var HK = new GameObject("ts");
                        HK.transform.SetParent(Instance.transform);
                        HK.transform.localPosition = new Vector2(0f, 0f);
                        HK.transform.localScale = new Vector3(1f, 1f);
                        HK.transform.rotation = Instance.transform.rotation;
                        var HKSprite = HK.AddComponent<SpriteRenderer>();
                        HKSprite.sprite = ModAPI.LoadSprite("weapon/mcx.png", 16f);
                        HKSprite.sortingLayerName = "Foreground";

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/mcx.png", 16f);
                        Instance.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
                        Instance.FixColliders();
		        Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(0.110f,0.100f);  
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.86f, 0.12f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.14f;

                        firearm.ShotSounds = new AudioClip[]
                        {
                        ModAPI.LoadSound("Sound/mcxsound.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "5.56×45";
                        customCartridge.Damage *= 4f;
                        customCartridge.Recoil *= 4f;
                        customCartridge.ImpactForce *= 6f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );

 ModAPI.Register(
		    new Modification()
			{
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "[TS] Colt M4",
                    NameToOrderByOverride = "9A",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/m4icon.png"),
                    AfterSpawn = (Instance) =>
                    {
		       ModAPI.KeepExtraObjects();

		       var M4Slide = Instance.transform.Find("Slide");
                       M4Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("slides/m4slide.png", 16f);
                       M4Slide.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
		       M4Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";

                        var HK = new GameObject("ts");
                        HK.transform.SetParent(Instance.transform);
                        HK.transform.localPosition = new Vector2(0f, 0f);
                        HK.transform.localScale = new Vector3(1f, 1f);
                        HK.transform.rotation = Instance.transform.rotation;
                        var HKSprite = HK.AddComponent<SpriteRenderer>();
                        HKSprite.sprite = ModAPI.LoadSprite("weapon/m4.png", 16f);
                        HKSprite.sortingLayerName = "Foreground";

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/m4.png", 16f);
                        Instance.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
                        Instance.FixColliders();
		        Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(0.41f,0.100f);  
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.86f, 0.12f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.16f;

                        firearm.ShotSounds = new AudioClip[]
                        {
                        ModAPI.LoadSound("Sound/m4sound.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "5.56×45";
                        customCartridge.Damage *= 5f;
                        customCartridge.Recoil *= 4f;
                        customCartridge.ImpactForce *= 6f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );

 ModAPI.Register(
		    new Modification()
			{
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "[TS] UMP",
                    NameToOrderByOverride = "9A",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/umpicon.png"),
                    AfterSpawn = (Instance) =>
                    {
		       ModAPI.KeepExtraObjects();

		       var UMPSlide = Instance.transform.Find("Slide");
                       UMPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("slides/umpslide.png", 16f);
                       UMPSlide.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
                       UMPSlide.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";

                        var HK = new GameObject("ts");
                        HK.transform.SetParent(Instance.transform);
                        HK.transform.localPosition = new Vector2(0f, 0f);
                        HK.transform.localScale = new Vector3(1f, 1f);
                        HK.transform.rotation = Instance.transform.rotation;
                        var HKSprite = HK.AddComponent<SpriteRenderer>();
                        HKSprite.sprite = ModAPI.LoadSprite("weapon/ump.png", 16f);
                        HKSprite.sortingLayerName = "Foreground";

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/ump.png", 16f);
                        Instance.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
                        Instance.FixColliders();
		        Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(0.58f,0.100f);  
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.86f, 0.12f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                        ModAPI.LoadSound("Sound/umpsound.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = ".45";
                        customCartridge.Damage *= 4f;
                        customCartridge.Recoil *= 3f;
                        customCartridge.ImpactForce *= 4f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );

 ModAPI.Register(
		    new Modification()
			{
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "[TS] MP5",
                    NameToOrderByOverride = "9A",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/mp5icon.png"),
                    AfterSpawn = (Instance) =>
                    {
		       ModAPI.KeepExtraObjects();

		       var MP5Slide = Instance.transform.Find("Slide");
                       MP5Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("slides/mp5slide.png", 16f);
                       MP5Slide.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
		       MP5Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";

                        var HK = new GameObject("ts");
                        HK.transform.SetParent(Instance.transform);
                        HK.transform.localPosition = new Vector2(0f, 0f);
                        HK.transform.localScale = new Vector3(1f, 1f);
                        HK.transform.rotation = Instance.transform.rotation;
                        var HKSprite = HK.AddComponent<SpriteRenderer>();
                        HKSprite.sprite = ModAPI.LoadSprite("weapon/mp5.png", 16f);
                        HKSprite.sortingLayerName = "Foreground";

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/mp5.png", 16f);
                        Instance.GetComponent<SpriteRenderer>().color = new Color32(255, 255, 255, 255);
                        Instance.FixColliders();
		        Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(0.44f,0.100f);  
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.86f, 0.12f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.12f;

                        firearm.ShotSounds = new AudioClip[]
                        {
                        ModAPI.LoadSound("Sound/mp5sound.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "9mm";
                        customCartridge.Damage *= 3f;
                        customCartridge.Recoil *= 3f;
                        customCartridge.ImpactForce *= 4f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );

 ModAPI.Register(
		    new Modification()
		    {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "[TS] Glock 19",
                    NameToOrderByOverride = "9A",
                    DescriptionOverride = " ",
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/glockicon.png"),
                    AfterSpawn = (Instance) =>
                    {
		       ModAPI.KeepExtraObjects();
						
		       var GlockSlide = Instance.transform.Find("Slide");
                       GlockSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("slides/glockslide.png", 14f);

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/glock.png", 14f);
                        Instance.FixColliders(); 
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.13f, 0.04f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
  
                        firearm.ShotSounds = new AudioClip[]
                        {
                        ModAPI.LoadSound("Sound/glocksound.mp3"),
                        };

                      Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "9mm";
                        customCartridge.Damage *= 4f;
                        customCartridge.Recoil *= 3f;
                        customCartridge.ImpactForce *= 4f;
                        firearm.Cartridge = customCartridge;
		    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Helmet V1", 
                    NameToOrderByOverride = "2a",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/HV1icon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/helmetv1.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/helmetv1.png", 17f);
                        prop.armorPoints = 150;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Helmet V2", 
                    NameToOrderByOverride = "2a",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/HV2icon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/helmetv2.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/helmetv2.png", 17f);
                        prop.armorPoints = 150;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Helmet V3", 
                    NameToOrderByOverride = "2a",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/HV3icon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/helmetv3.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                        var childObject = new GameObject("gpnvg18glow");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector2(-0.031f, 0.003f);
                        childObject.transform.localScale = new Vector3(0.07f, 0.07f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Helmet/glow31.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/helmetv3.png", 17f);
                        prop.armorPoints = 150;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Helmet V4", 
                    NameToOrderByOverride = "2a",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/HV4icon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/helmetv4.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/helmetv4.png", 17f);
                        prop.armorPoints = 150;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Helmet V5", 
                    NameToOrderByOverride = "2a",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/HV5icon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/helmetv5.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                        var childObject = new GameObject("gpnvg18glow");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector2(-0.031f, 0.003f);
                        childObject.transform.localScale = new Vector3(0.07f, 0.07f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Helmet/glowp31.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/helmetv5.png", 17f);
                        prop.armorPoints = 150;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Helmet V6", 
                    NameToOrderByOverride = "2a",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/HV6icon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/helmetv6.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/helmetv6.png", 17f);
                        prop.armorPoints = 150;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Beanie", 
                    NameToOrderByOverride = "2b",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/beanieicon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/beanie.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/beanie.png", 17f);
                        prop.armorPoints = 2;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Cap", 
                    NameToOrderByOverride = "2b",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/capicon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/cap.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/cap.png", 17f);
                        prop.armorPoints = 2;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "[TS] Comtac", 
                    NameToOrderByOverride = "2b",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/comtacicon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet/comtac.png", 17f);
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "--";
 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helmet/comtac.png", 17f);
                        prop.armorPoints = 2;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Belt + Holster", 
                    NameToOrderByOverride = "3",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/belticon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/Belt.png", 12); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "LowerBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/Belt.png", 12);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 50;
                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/test.png", 15);
                        armProp[0].armorPiece = "UpperLegFront";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 50;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Elbow Pads 2", 
                    NameToOrderByOverride = "3zb",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/elbowicon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/elbow.png", 15); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "LowerArm";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/elbow.png", 15);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 50;
                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/elbow2.png", 15);
                        armProp[0].armorPiece = "UpperArm";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 50;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Elbow Pads 1", 
                    NameToOrderByOverride = "3za",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/elbowicon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/elbow.png", 15); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "LowerArmFront";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/elbow.png", 15);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 50;
                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/elbow2.png", 15);
                        armProp[0].armorPiece = "UpperArmFront";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 50;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Knee Pads 1", 
                    NameToOrderByOverride = "3zc",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/kneepadsicon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/kneepad.png", 15); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "LowerLegFront";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/kneepad.png", 15);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 50;
                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/kneepad2.png", 15);
                        armProp[0].armorPiece = "UpperLegFront";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 50;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Knee Pads 2", 
                    NameToOrderByOverride = "3zc",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/kneepadsicon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/kneepad.png", 15); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "LowerLeg";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/kneepad.png", 15);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 50;
                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/kneepad2.png", 15);
                        armProp[0].armorPiece = "UpperLeg";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 50;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Vest Variant 1", 
                    NameToOrderByOverride = "3",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/vestv1icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/1vestv1.png", 12); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/1vestv1.png", 12);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/2vestv1.png", 12);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 350;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Vest Variant 2", 
                    NameToOrderByOverride = "3",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/vestv2icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/1vestv2.png", 12); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/1vestv2.png", 12);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/2vestv2.png", 12);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 350;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Vest Variant 3", 
                    NameToOrderByOverride = "3",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/vestv3icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/1vestv3.png", 12); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/1vestv3.png", 12);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/2vestv3.png", 12);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 350;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Vest Variant 4", 
                    NameToOrderByOverride = "3",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/vestv4icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/1vestv4.png", 12); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/1vestv4.png", 12);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/2vestv4.png", 12);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 350;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Soap"), 
                    NameOverride = "[TS] Glow Stick", 
                    NameToOrderByOverride = "9G",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/glowstickicon.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("weapon/test.png", 17f);
			foreach (var c in Instance.GetComponents<Collider2D>())
                        ModAPI.CreateLight(Instance.transform, Color.blue, 4.8f, 4.5f);

                        var childObject = new GameObject("glowstick");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector2(0f, 0f);
                        childObject.transform.localScale = new Vector3(0.05f, 0.06f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("weapon/testglow.png");
                        childSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                        childSprite.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";

                        Instance.FixColliders();

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Wristwatch", 
                    NameToOrderByOverride = "2z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/wristwatchicon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/wristwatch.png", 15);
                        ModAPI.CreateLight(Instance.transform, Color.white, 0.4f, 0.3f); 

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();  
                        Vector3 offset = new Vector3(0f, -0.06f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);          
                        prop.armorPiece = "LowerArm";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/wristwatch.png", 15);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 100;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [BlackBeard]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p1icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch1.png", 20); 

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch1.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Come And Take It]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p2icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch2.png", 20); 

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch2.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Warning To Prevent Accidents Keep Your Mouth Shut]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p3icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch3.png", 20); 

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch3.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [I Want World Peace]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p4icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch4.png", 20); 

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch4.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Parental Advisory I Have a Gun]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p5icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch5.png", 20); 

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch5.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [ >:) ]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p6icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch6.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch6.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Major League Sniper]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p7icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch7.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch7.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Grenade]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p8icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch8.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch8.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Silent Night]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p9icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch9.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch9.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Major League Doorkicker]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p10icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch10.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch10.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [See You In Hell]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p11icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch11.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch11.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Ace of Spades with Skull]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p12icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch12.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch12.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "[TS] Patch [Boogaloo Boys]", 
                    NameToOrderByOverride = "9z",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/p13icon.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Patches/patch13.png", 20);

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Patches/patch13.png", 20);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "[TS] Variant 1",
                    NameToOrderByOverride = "1A",
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/v1icon.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 12;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/Variant 1.png"),
                            ModAPI.LoadTexture("Outfit/Variant 1b.png"),
                            ModAPI.LoadTexture("Outfit/Variant 1b3.png"),
                        };
                    }
                }
            );      
 
 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "[TS] Variant 2",
                    NameToOrderByOverride = "1B",
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/v2icon.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 12;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/Variant 2.png"),
                            ModAPI.LoadTexture("Outfit/Variant 2b.png"),
                            ModAPI.LoadTexture("Outfit/Variant 2b3.png"),
                        };
                    }
                }
            );    

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "[TS] Variant 3",
                    NameToOrderByOverride = "1C",
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/v3icon.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 12;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/Variant 3.png"),
                            ModAPI.LoadTexture("Outfit/Variant 3b.png"),
                            ModAPI.LoadTexture("Outfit/Variant 3b3.png"),
                        };
                    }
                }
            );    

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "[TS] Variant 4",
                    NameToOrderByOverride = "1D",
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/v4icon.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 12;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/Variant 4a.png"),
                            ModAPI.LoadTexture("Outfit/Variant 4b.png"),
                            ModAPI.LoadTexture("Outfit/Variant 4c.png"),
                            ModAPI.LoadTexture("Outfit/Variant 4d.png"),
                            ModAPI.LoadTexture("Outfit/Variant 4e.png"),
                            ModAPI.LoadTexture("Outfit/Variant 4f.png"),
                        };
                    }
                }
            );  

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "[TS] Variant 5",
                    NameToOrderByOverride = "1E",
                    DescriptionOverride = " ", 
                    CategoryOverride = ModAPI.FindCategory(" Tactical Style"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icons/v5icon.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 12;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Outfit/Variant 5.png"),
                            ModAPI.LoadTexture("Outfit/Variant 5b.png"),
                            ModAPI.LoadTexture("Outfit/Variant 5b3.png"),
                        };
                    }
                }
            );     
   






        }









public class MultipleSpriteHumanBehaviour : MonoBehaviour
    {
        public Texture2D[] Textures = new Texture2D[0];
        public PersonBehaviour person;
        public int CurrentTexture = -2;
        public int Scale = 3;

        void Start()
        {
            SetTexture();
        }

        public void SetTexture()
        {
            if (Textures.Length == 0)
                return;

            if(CurrentTexture == -2)
            {
                CurrentTexture = UnityEngine.Random.Range(0, Textures.Length);
            }
            person.SetBodyTextures(Textures[CurrentTexture], null, null, Scale);
            for (int i = 0; i < person.Limbs.Length; i++)
            {
                person.Limbs[i].gameObject.GetComponent<PhysicalBehaviour>().RefreshOutline();
            }
        }
}    }
}
